=== debian/control ===
Source: bisect-ppx
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Bo YU <tsu.yubo@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 libcmdliner-ocaml-dev,
 ocaml-dune,
 ocaml,
 dh-ocaml (>= 1.2),
 libppxlib-ocaml-dev,
 help2man,
 uglifyjs,
Standards-Version: 4.7.0
Homepage: https://github.com/aantron/bisect_ppx
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ocaml-team/bisect-ppx.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/bisect-ppx

Package: libbisect-ppx-ocaml
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${ocaml:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Code coverage for OCaml and ReScript (runtime files)
 Bisect-ppx helps you test thoroughly. It is a small preprocessor
 that inserts instrumentation at places in your code, such as if-then-else and
 match expressions. After you run tests, Bisect_ppx gives a nice HTML report
 showing which places were visited and which were missed.
 .
 This package contains runtime files.

Package: libbisect-ppx-ocaml-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${ocaml:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Code coverage for OCaml and ReScript (dev files)
 Bisect_ppx helps you test thoroughly. It is a small preprocessor
 that inserts instrumentation at places in your code, such as if-then-else and
 match expressions. After you run tests, Bisect_ppx gives a nice HTML report
 showing which places were visited and which were missed.
 .
 This package contains development files.
