=== test/usage/dune-linkall/Makefile ===
.PHONY : test
test :
	dune exec ./source.exe
	! test -f bisect*.coverage

.PHONY : clean
clean :
	dune clean
	rm -f bisect*.coverage
