=== debian/changelog ===
bisect-ppx (2.8.3+dfsg-4) unstable; urgency=medium

  * Team upload
  * Update ppxlib 0.36.0 patch

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Sep 2025 11:10:14 +0200

bisect-ppx (2.8.3+dfsg-3) unstable; urgency=medium

  * Team upload
  * Add support for ppxlib 0.36.0
  * Bump Standards-Version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Wed, 10 Sep 2025 12:33:13 +0200

bisect-ppx (2.8.3+dfsg-2) unstable; urgency=medium

  * Team upload
  * Fix build on bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Thu, 08 Aug 2024 11:50:47 +0200

bisect-ppx (2.8.3+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1068621)

 -- Bo YU <tsu.yubo@gmail.com>  Fri, 12 Apr 2024 22:31:06 +0800
