=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  ocaml-dune,
  ocaml,
  dh-ocaml (>= 1.2),
- libppxlib-ocaml-dev,
+ libppxlib-ocaml-dev (>= 0.36.0),
  help2man,
  uglifyjs,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/aantron/bisect_ppx
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ocaml-team/bisect-ppx.git
