=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//, \
   repacksuffix=+dfsg, repack, \
   filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/aantron/bisect_ppx/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
